# PlayerWarps by Olzie-12
# https://www.spigotmc.org/resources/115286/
# We also have a discord server for help: https://olziedev.com/discord or check docs https://docs.olziedev.com/projects/playerwarps
# Also if you find any bugs be happy to report them I will fix them :)
# Made with love

# If you want to disable any message just set it to nothing. by doing
# list: "" <- This will no longer send a message.


# every singe message in the plugin is here.
# make sure you use "" to end of every string
# Also you can use colour codes <3

# To use hex color codes you will need to do
# "{#HEX} text"

lang:
  console-name: "&dServer Warp"
  console-uuid: "f78a4d8d-d51b-4b39-98a3-230f2de0c670"
  cancel-chat-wait: "cancel"
  chat-wait-cancelled: "&cCancelled your request!"
  friendly-max-warps: "Unlimited"
  prefix: "&a&lPWARP &8»"
  list: "%prefix% &aCurrent Warps &d(%page%&a/&d%pages%&a):&d\n* %list%\n%previous%      %next%"
  list-format: "[warp]"
  list-none: "&cNone"
  list-hover: "&aClick to teleport to &d[warp]"
  list-split: "\n* "
  list-previous: "←"
  list-previous-hover: "&aPrevious page"
  list-next: "→"
  list-next-hover: "&aNext page"
  placeholder-none: "&cNone"
  warp-removed: "%prefix% &aSuccess! Your warp has been removed!"
  teleported: "%prefix% &aSuccessfully teleported to &d%warp%&a!"
  someone-teleported: "%prefix% &d%player%&a has teleported to &d%warp%&a!"
  warp-set-confirmation: "%prefix% &aSetting %name% warp will cost you &d$%price%&a, do the command again to confirm."
  warp-teleport-confirmation: "%prefix% &aTeleporting to %warp% will cost you $%price%, do the command again to confirm."
  warp-remove-confirmation: "%prefix% &aAre you sure you want to remove %warp%? Do it again if you wish."
  warp-set: "%prefix% &aSuccessfully set a player warp called &d%name%&a!"
  reloaded: "%prefix% &aSuccessfully reloaded all configs!"
  currency-taken: "%prefix% &a%price% has been taken from you."
  teleporting-dont-move: "%prefix% &aTeleporting to &d%warp%&a in &d%time%&a seconds!"
  desc-set-success: "%prefix% &aSuccessfully set the description to &d%desc%&a for the warp &d%warp%"
  desc-remove-success: "%prefix% &aSuccessfully removed the description for the warp &d%warp%"
  given-more-warps-success: "%prefix% &aSuccessfully given &d%player%&a an extra of &d%extra%&a warps and a total of &d%total%&a!"
  set-warp-icon: "%prefix% &aSuccessfully set &d%warp%'s&a icon to &d%icon%&a!"
  removed-warp-icon: "%prefix% &aSuccessfully removed &d%warp%'s&a icon!"
  category-set: "%prefix% &aYou have successfully set &d%warp%'s&a category to &d%category%&a!"
  category-remove: "%prefix% &aYou have successfully removed &d%warp_display%'s&a category!"
  rate-set: "%prefix% &aYou have successfully rated a &d%rate%&a for &d%warp%&a!"
  rate-set-desc: "%prefix% &aYou have successfully rated a &d%rate%&a (&d%description%&a) for &d%warp_display%&a!"
  warps-removed: "%prefix% &aSuccess! &d%player%'s&a have been warp removed!"
  warp-locked: "%prefix% &aSuccessfully locked the warp &d%warp%&a!"
  warp-unlocked: "%prefix% &aSuccessfully un-locked the warp &d%warp%&a!"
  warp-cost-set: "%prefix% &aSuccessfully set the warp cost to &d$%cost%&a!"
  warp-cost-removed: "%prefix% &aSuccessfully removed the warp cost!"
  successfully-reset-warp: "%prefix% &aSuccessfully re-set the warps location!"
  successfully-renamed-warp: "%prefix% &aSuccessfully renamed the warp to &d%warp%&a!"
  successfully-setowner: "%prefix% &aSuccessfully set the ownership to &d%owner%&a!"
  successfully-banned: "%prefix% &aSuccessfully banned &d%player%&a from &d%warp%&a!"
  added-manager: "%prefix% &aSuccessfully added &d%player%&a as a manager to &d%warp_display%&a!"
  successfully-unbanned: "%prefix% &aSuccessfully un-banned &d%player%&a from &d%warp%&a!"
  removed-manager: "%prefix% &aSuccessfully removed &d%player%&a as a manager from &d%warp_display%&a!"
  successfully-whitelisted: "%prefix% &aSuccessfully whitelisted &d%player%&a to &d%warp%&a!"
  whitelist-not-enabled: "%prefix% &cWarning, the whitelist is not enabled for &d%warp_display%&c, if you wish to actually enable it do /pwarp whitelist enable %warp_display%!"
  successfully-disabled-whitelist: "%prefix% &aSuccessfully disabled the whitelist for &d%warp_display%&a!"
  successfully-enabled-whitelist: "%prefix% &aSuccessfully enabled the whitelist for &d%warp_display%&a!"
  successfully-unwhitelisted: "%prefix% &aSuccessfully un-whitelisted &d%player%&a from &d%warp%&a!"
  new-owner: "%prefix% &d%player%&a has just set you the owner of &d%warp%&a!"
  pass-set-success: "%prefix% &aSuccessfully set the password for the warp &d%warp%&a!"
  pass-remove-success: "%prefix% &aSuccessfully removed the password for the warp &d%warp%&a!"
  require-password: "%prefix% &cThis warp requires a password to teleport, please enter the password!"
  rent: "%prefix% &aYou have successfully paid the rent for &d%warp%&a!"
  rent-reminder: "%prefix% &cThis is a reminder that you will need to pay rent for your %warp% warp in %time%."
  banned-list: "%prefix% &aBanned players: &d%list%"
  managers-list: "%prefix% &bManagers: &d%list%"
  category-list: "%prefix% &bCategories: &d%list%"
  whitelisted-list: "%prefix% &aWhitelisted players: &d%list%"
  rate-notify: "%prefix% &d%player%&a has just rated your warp &d%warp% %rate%&a stars!"
  favourite-warp: "%prefix% &aSuccessfully added &d%warp%&a on your favourite list!"
  unfavourite-warp: "%prefix% &aSuccessfully removed &d%warp%&a from your favourite list!"
  sponsored-warp: "%prefix% &aYou have successfully purchased that sponsor slot!"
  current-amount-of-warps:
  - "%prefix% &7&l&m----------&7&l[ &a&lPlayer Warps &7&l]&m----------"
  - "%prefix% &aYou currently have a maximum of &d%warpsmax%&a (&d%staticwarps% static&a) warps."
  - "%prefix% &aYou currently have used &d%warpsused%&a warps."
  - "%prefix% &7&l&m----------&7&l[ &a&lPlayer Warps &7&l]&m----------"
  current-amount-of-warps-other:
  - "%prefix% &7&l&m----------&7&l[ &a&lPlayer Warps &7&l]&m----------"
  - "%prefix% &d%player%&a currently has a maximum of &d%warpsmax%&a (&d%staticwarps% static&a) warps."
  - "%prefix% &d%player%&a currently has used &d%warpsused%&a warps."
  - "%prefix% &7&l&m----------&7&l[ &a&lPlayer Warps &7&l]&m----------"
  amount-warps-others-alert: "&c%player% is currently offline, only showing their maximum warps as a static amount."
  locked-gui: "&c&lLocked"
  unlocked-gui: "&a&lUnlocked"
  no-password-gui: "&a&lNo Password"
  has-password-gui: "&c&lHas Password"
  offline-title: "%prefix% &aWhile you were offline..."
  sent-setowner: "%prefix% &aSuccessfully sent a setowner request to &d%player%&a for &d%warp%&a!\n%prefix% &aTo cancel this request type &d/pwarp setowner cancel %warp%&a!"
  received-setowner: "%prefix% &aYou've received a setowner request from &d%player%&a for &d%warp%&a!\n%prefix% &aPlease type &d/pwarp setowner accept %warp%&a to accept."
  cancelled-setowner: "%prefix% &aSuccessfully cancelled the setowner request for &d%player%&a!"
  sent-expired-setowner: "%prefix% &cYour setowner request sent to %player% for %warp% has expired."
  received-expired-setowner: "%prefix% &cYour setowner request for %warp% from %player% has expired."
  dbexec-successful: "%prefix% &aSuccessfully updated &d%count%&a rows. &aPlease execute &d/%cmd% reload&a to update changes."
  removed-rating: "%prefix% &aSuccessfully removed rating for &d%warp_display%&a!"
  warp-info: "%prefix% &bWarp Information for &d%warp_display%&b:\n%prefix% &bOwner: &d%owner%\n%prefix% &bLocation: &d%world%, %location%\n%prefix% &bVisits: &d%visits%\n%prefix% &bDescription:\n%prefix% &d%desc%\n%prefix% &bTime Created: &d%date%\n%prefix% &bCategory: &d%category%\n%prefix% &bRates: &d%rates%\n%prefix% &bRates Average: &d%rates_average% &7(&e%rates_stars%&7)\n%prefix% &bTeleport Cost: &d%cost%"
  refunded-currency: "%prefix% &aYou have been refunded."
  
  # the help menu for a player
  # The variable %cmd% is any command from the config.yml :)
  help-player:
  - "%prefix% &7&l&m----------&7&l[ &a&lPlayer Warps &7&l]&m----------"
  - "%prefix% &d/%cmd% help &7&l- &aDisplays this menu."
  - "%prefix% &d/%cmd% <warp> &7&l- &aTeleports to the player warp."
  - "%prefix% &d/%cmd% set <name> &7&l- &aSets a warp to your location."
  - "%prefix% &d/%cmd% remove <warp> &7&l- &aRemoves the warp."
  - "%prefix% &d/%cmd% removeall <player> &7&l- &aRemoves all players warps."
  - "%prefix% &d/%cmd% desc set/remove <warp> <desc> &7&l- &aWarp descriptions."
  - "%prefix% &d/%cmd% list [page] [player] &7&l- &aLists all the current player warps."
  - "%prefix% &d/%cmd% open [category] [action] &7&l- &aOpens the player warp gui."
  - "%prefix% &d/%cmd% amount &7&l- &aCheck how much warps you have."
  - "%prefix% &d/%cmd% reload &7&l- &aReloads all the config files."
  - "%prefix% &d/%cmd% icon set/remove <warp> &7&l- &aSet a warp icon."
  - "%prefix% &d/%cmd% addwarps <player> <amount> &7&l- &aAdd more warps to a player via command."
  - "%prefix% &d/%cmd% category <warp> <category> &7&l- &aSet a warp category."
  - "%prefix% &d/%cmd% rate <warp> <rate> &7&l- &aRate a warp."
  - "%prefix% &d/%cmd% ban set/remove/list <warp> [player] &7&l- &aWarp bans."
  - "%prefix% &d/%cmd% reset <warp> &7&l- &aRe-set a warps location."
  - "%prefix% &d/%cmd% rename <warp> <name> &7&l- &aRename a warp."
  - "%prefix% &d/%cmd% setowner <warp> <player> &7&l- &aTransfer ownership."
  - "%prefix% &d/%cmd% favourite <warp> &7&l- &aFavourite a warp."
  - "%prefix% &7&l&m----------&7&l[ &a&lPlayer Warps &7&l]&m----------"
    # This is useful for if you want to sell warp amounts on your store, but what happens if a player already has 5 warps?
    # This just simply gives them more warps. For example if a player has 10 warps (pw.limit.10) and you do /pw addwarps *player* 10. They will now have 20 warps.

  # the help menu for console
  # The variable %cmd% is any command from the config.yml :)
  help-console:
  - "%prefix% &7&l&m----------&7&l[ &a&lPlayer Warps &7&l]&m----------"
  - "%prefix% &d/%cmd% help &7&l- &aDisplays this menu."
  - "%prefix% &d/%cmd% open [category] [action] &7&l- &aOpens the player warp gui."
  - "%prefix% &d/%cmd% remove <warp> &7&l- &aRemoves the warp."
  - "%prefix% &d/%cmd% list [page] [player] &7&l- &aLists all the current player warps."
  - "%prefix% &d/%cmd% reload &7&l- &aReloads all the config files"
  - "%prefix% &d/%cmd% addwarps <player> <amount> &7&l- &aAdd more warps to a player via command."
  - "%prefix% &d/%cmd% category <warp> <category> &7&l- &aSet a warp category."
  - "%prefix% &d/%cmd% removeall <player> &7&l- &aRemoves all players warps."
  - "%prefix% &d/%cmd% setowner <warp> <player> &7&l- &aTransfer ownership."
  - "%prefix% &7&l&m----------&7&l[ &a&lPlayer Warps &7&l]&m----------"
    # This is useful for if you want to sell warp amounts on your store, but what happends if a player already has 5 playerwarps.
    # This just simply gives them more warps. For example if a player has 10 warps (pw.limit.10) and you do /pw addwarps *player* 10. They will now have 20 warps.

  # error messages.
  errors:
    command-syntax: "%prefix% &cIncorrect syntax, use:\n%syntax%"
    player-only: "%prefix% &cYou must be a player!"
    console-only: "%prefix% &CThis command can only be executed from console!"
    name-too-long-set: "%prefix% &cYou cannot have a warp name longer than &4%max%&c characters!"
    desc-too-long-set: "%prefix% &cYou cannot have a description longer than &4%max%&c characters!"
    rate-too-long-set: "%prefix% &cYou cannot have a rate longer than &4%max%&c characters!"
    pass-too-long-set: "%prefix% &cYou cannot have a password longer than &4%max%&c characters!"
    reason-too-long-set: "%prefix% &cYou cannot have a ban reason longer than &4%max%&c characters!"
    name-too-short-set: "%prefix% &cYou cannot have a warp name shorter than &4%min%&c characters!"
    desc-too-short-set: "%prefix% &cYou cannot have a description shorter than &4%min%&c characters!"
    rate-too-short-set: "%prefix% &cYou cannot have a rate shorter than &4%min%&c characters!"
    pass-too-short-set: "%prefix% &cYou cannot have a password shorter than &4%min%&c characters!"
    reason-too-short-set: "%prefix% &cYou cannot have a ban reason shorter than &4%min%&c characters!"
    rate-too-big: "%prefix% &cYou cannot rate a warp above &45&c!"
    already-rated: "%prefix% &cYou have already rated this warp!"
    not-a-number: "%prefix% &cThat is not a number!"
    no-page: "%prefix% &cThat page does not exist!"
    invalid-name-set: "%prefix% &cYou cannot set a player warp called &4%name%&c!"
    invalid-desc-set: "%prefix% &cYou cannot set a description as &4%desc%&c!"
    name-taken-set: "%prefix% &cThat warp name is already taken!"
    valid-name-set: "%prefix% &cPlease enter a valid name for your warp!"
    warp-dont-own: "%prefix% &cYou do not own that warp!"
    warp-dont-exist: "%prefix% &cThat warp does not exist!"
    invalid-warp: "%prefix% &cThat is an invalid warp."
    no-permission: "%prefix% &cYou do not have &4%permission%&c to do this! %reason%"
    too-many-warps-set: "%prefix% &cYou cannot set this many warps you can only set &4%amount%&c due to your permissions/static amount!"
    limit-setowner: "%prefix% &cCouldn't transfer the warp %warp% because the player has too many warps!"
    already-setowner: "%prefix% &cYou already have a pending request for %warp%"
    not-setowner: "%prefix% &cYou haven't got a set owner request for this warp!"
    warp-not-safe: "%prefix% &cThis warp is not safe. If you want to teleport, do it again."
    money-not-enough-teleport: "%prefix% &cYou do not have $%price% to teleport to this warp!"
    money-not-enough-reset: "%prefix% &cYou do not have $%price% to re-set your warp!"
    money-not-enough-rename: "%prefix% &cYou do not have $%price% to rename your warp!"
    money-not-enough-set: "%prefix% &cYou do not have $%price% to set this warp!"
    money-not-enough-sponsor: "%prefix% &cYou do not have $%price% to sponsor this warp!"
    moved-while-teleporting: "%prefix% &cCancelled, you moved!"
    desc-no-desc-gui: "&cNone"
    desc-no-desc: "%prefix% &c%warp% does not have a description!"
    cost-no-cost: "%prefix% &c%warp% does not have a cost!"
    pass-no-pass: "%prefix% &c%warp% does not have a password!"
    disabled-world-set: "%prefix% &cYou cannot set warps in this world!"
    disabled-world-teleport: "%prefix% &cYou cannot teleport to warps in this world!"
    player-offline: "%prefix% &cThat player is offline!"
    invalid-item: "%prefix% &cThat is an invalid item to set your warp icon to."
    invalid-category: "%prefix% &cThat is a invalid category"
    warp-already-in-category: "%prefix% &cThat warp is already in that category!"
    warp-not-in-category: "%prefix% &cThat warp is not in that category!"
    no-player-joined: "%prefix% &cThat player does not exist!"
    set-cooldown: "%prefix% &cYou currently have a cooldown for setting warps! (%cooldown% left)"
    rate-cooldown: "%prefix% &cYou currently have a cooldown for rating warps! (%cooldown% left)"
    teleport-cooldown: "%prefix% &cYou currently have a cooldown for teleporting! (%cooldown% left)"
    teleport-warp-locked: "%prefix% &cThis warp is currently locked!"
    rate-own-warp: "%prefix% &cYou cannot rate your own warp!"
    rate-condition: "%prefix% &cYou do not meet the requirements for rating this warp!"
    already-owner: "%prefix% &cYou are already the owner of this warp!"
    already-teleporting: "%prefix% &cYou are already teleporting to a warp!"
    wrong-password: "%prefix% &cThat password is incorrect!"
    not-whitelisted: "%prefix% &cSorry, the owner has not whitelisted you. Tough times :("
    not-same-world: "%prefix% &cYou cannot teleport to that warp!"
    rent: "%prefix% &cYou couldn't pay for %warp%, the warp has now been removed!"
    banned: "%prefix% &cSorry, the owner has banned you. Tough times :("
    owner-ban: "%prefix% &cYou cannot ban yourself, silly!"
    already-banned: "%prefix% &cThat player is already banned!"
    already-manager: "%prefix% &cThat player is already a manager!"
    not-banned: "%prefix% &cThat player is not banned!"
    not-manager: "%prefix% &cThat player is not a manager!"
    max-cost: "%prefix% &cSorry, the maximum cost you can set is %max%!"
    min-cost: "%prefix% &cSorry, the minimum cost you can set is %min%!"
    already-whitelisted: "%prefix% &cThat player is already whitelisted!"
    already-sponsored: "%prefix% &cYou already have sponsored that warp!"
    max-sponsors: "%prefix% &cYou're only limited to 1 sponsor warp!"
    change-location-sign: "%prefix% &cYou cannot change a sign warp's location!"
    dbexec-failed: "%prefix% &cThere was an error executing this query. %error%"
    already-sponsored-other: "%prefix% &cSomeone has already purchased this sponsor slot!"
    warp-max-categories: "%prefix% &cYou cannot have more than %max% categories!"
    sponsor-cooldown: "%prefix% &cYou cannot sponsor this warp for another %time%!"
    sponsor-restricted-category: "%prefix% &cYou cannot sponsor this warp in this slot. It is restricted to specific categories!"

# Here you can specify different types of messages per no-permission message, using the specific permission node.
# Or you may set it to blank to not send a message at all.
# no-permission:
#   pw.warp: "You do not have permission to warp!"

n/a:
  no-prefix: "N/A"
  no-suffix: "N/A"
  no-server: "N/A"
  no-password: "N/A"
  no-user: "N/A"
  no-ban-reason: "N/A"
  no-time: "Forever"
  no-payer: "N/A"
  no-warp: "N/A"
  no-category: "N/A"
  no-managers: "N/A"
  no-displayname: "%player%"
